/*
KDE Personal Web Server - Allow you to easily share files over http
Copyright (C) 2010 by Vitor Boschi da Silva (vitorboschi@gmail.com)

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#ifndef CONTENT_MODEL_H
#define CONTENT_MODEL_H

#include <QAbstractItemModel>
#include "webcontent.h"
#include "webcontent_virtualfolder.h"

class ContentModel : public QAbstractItemModel
{
	Q_OBJECT
public:
     ContentModel(QObject *parent = 0);
     ~ContentModel();

     QVariant data(const QModelIndex &index, int role) const;
     Qt::ItemFlags flags(const QModelIndex &index) const;
     QVariant headerData(int section, Qt::Orientation orientation,
                         int role = Qt::DisplayRole) const;
     QModelIndex index(int row, int column,
                       const QModelIndex &parent = QModelIndex()) const;
     QModelIndex parent(const QModelIndex &index) const;
     int rowCount(const QModelIndex &parent = QModelIndex()) const;
     int columnCount(const QModelIndex &parent = QModelIndex()) const;
     QModelIndex addContent(WebContent* content, const QModelIndex& parent);
     QModelIndex getContentIndex(const QString &url) const;
	  
	//TODO: Create a proper API to allow retrieval of the rootItem
 //private:
     WebContent_VirtualFolder *rootItem;
};

#endif
